
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>一个身居中国的法国程序员谈Python与PHP / iVAN</title>

    <meta name="description" content="一个身居中国的法国程序员谈Python与PHP 大家好,作为旅居北京的法国人Guillaume Bouriez,我跟各位一样每天生活在街巷胡同之间.我目前在豆瓣公司工作,还有个刚刚三岁的小儿子. Guillaume Bouriez 中文名:鬼庸 豆瓣:ruim  网络以及移动领域的方方面面都非常吸引我,而且我很关注中国在此时此刻正悄然发生着哪些变化.我是客服工程师出身,拿过硕士文凭,汉语学习则是在四川大学完成的.另外我对中国古代文化很感兴趣,也读过不少这方面的著作. Guillaume Bouriez是一位来自法国的开发者,目前在国内非常小资">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">一个身居中国的法国程序员谈Python与PHP</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>大家好，作为旅居北京的法国人Guillaume Bouriez，我跟各位一样每天生活在街巷胡同之间。我目前在豆瓣公司工作，还有个刚刚三岁的小儿子。</p>
<p><a href="http://images.51cto.com/files/uploadimg/20120803/1601490.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLjUxY3RvLmNvbS9maWxlcy91cGxvYWRpbWcvMjAxMjA4MDMvMTYwMTQ5MC5qcGc=.jpg"></a></p>
<p><strong>Guillaume Bouriez 中文名：鬼庸<br />
豆瓣：<a href="http://www.douban.com/people/ruim/" rel="external nofollow noreferrer">ruim</a></strong><a href="http://www.douban.com/people/ruim/" rel="external nofollow noreferrer"> </a></p>
<p>网络以及移动领域的方方面面都非常吸引我，而且我很关注中国在此时此刻正悄然发生着哪些变化。我是客服工程师出身，拿过硕士文凭，汉语学习则是在四川大学完成的。另外我对中国古代文化很感兴趣，也读过不少这方面的著作。</p>
<p>Guillaume Bouriez是一位来自法国的开发者，目前在国内非常小资的社区豆瓣工作。谈到豆瓣，鬼庸认为：“豆瓣称得上当今中国最具个性魅力的网络公司。看看我们所推出的产品，再与其它竞争对手加以对比，大家应该会明显感到豆瓣所打造的使用界面简洁而直观，同时拥有高质量的信息内容。正是这一点令我决定成为该公司的一员。我真心希望自己参与的项目及产品能够为用户带来乐趣，这也正是我在收到豆瓣公司的录用通知后欣然接受的原因。”</p>
<p>在交流的过程中，鬼庸说：“我是个不折不扣的Python粉儿，并且乐于到处宣扬这一点”。鬼庸还告诉记者：“我的上一份工作是在北京一家规模不大的法国公司担任CTO，当时我们的技术堆栈主要是LAMP，而其中P指的是PHP，我其实对这两种语言都很熟悉。”</p>
<p>Python与PHP之间的差异</p>
<p>在鬼庸看来Python是一款拥有健全基础的优秀工具；而相比之下PHP在基础方面则很不健全甚至干脆谈不上什么基础，这就注定了其不怎么好用的命运。可以说再多的补丁也没法彻底解决PHP的问题，它从根本层面上已经不可救药了。其实大家可以把Python和PHP间的区别与git跟svn联系起来，这两对冤家的情况非常类似：git与svn都能达到我们的预期目的，但毫无疑问git在架构方面具有明显的压倒性优势。</p>
<p>也许有人会以Facebook以及维基百科作为反例，但情况恰恰相反：表面上来看，二者的创建方式似乎证明在没有选择的情况下，使用PHP同样能够打造出精彩绝伦的产品。但很显然，如果Facebook或者维基百科的工程师们有重新编写代码库的机会的话，他们肯定会毫不犹豫地投向Python的怀抱。因此，在我看到很多中国的新兴企业使用PHP开发产品时，总会感到一种莫名的伤感——这绝对是个悲剧性的错误。如果大家仍然对我的观点有所怀疑，那么不妨想想看近期推出的新产品中有哪一款使用了PHP：Quora？Github？Path又或者Instagram？现实告诉我们，没人再用PHP了。</p>
<p>我还听到这样一种论调，有人认为PHP的开发人员群体比Python更庞大（同样也比Ruby和node.js更大），因此在招聘人才时也会轻松得多。这其实根本不是问题：既然大家希望能够吸纳优秀的开发人员为自己服务，那么所谓优秀就是要能快速从一种开发方式转移到另一种。Python无论在学习还是使用方面都比PHP容易得多，我在法国的一位好朋友就利用某个百无聊赖的暴雨周末教会了自己的小孩用Python……</p>
<p>做开发需要挑选一件趁手的兵器</p>
<p>当大家只懂得使用PHP时，当然会以PHP的方式构思自己的解决方案，并顺理成章地认为PHP是解决一切需求的最佳方案。但随着掌握的语言越来越多，我们会发现自己的思维方式在不断扩展，并能够在面对某些问题时拥有更多更有竞争力的解决办法。</p>
<p>如果大家奉行的处世哲学是“不谈意义、只求结果”，那么Windows系统中的记事本功能可能常常会作为各位编辑文件的首选方式，对吧？当然，用记事本编辑文件倒也不是不行，不过这么干真的既不专业、也不实用。我跟自己的大多数同事一样用Vim解决这类问题，而且我也没听说过哪位专业开发人员会乐于通过记事本搞定一切。这在选择编程语言方面同样说得通：一位优秀的开发人员必须拥有应对多种语言的能力，就算是相对较差的语言也需要掌握。但如果他真的热爱工作、乐于提升自己的技能水平进而写出更令人满意的代码，那么我真的无法想象他会认为每种语言在实际应用中的表现都差不多。有些好、有些差，这就是现实。</p>
<p>除此之外，让自己拥有不同于其他竞争对手的特色也是十分必要的。也就是说，如果大家都在用PHP或者.NET，那么我们不妨早点开始学习Haskell、node.js或者Python，即使从目前看来这些技能对我们的职业规划还没啥具体影响。在豆瓣工作的这段时间我非常快乐，因为我身边的同事都具有强烈的进取精神。这种精神的实际表现就在于他们喜欢尝试不同类型的事物，希望在更多选择中找出最佳方案。这样的积极气氛非常难得，我感到乐在其中。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 08:31:17</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>一个身居中国的法国程序员谈Python与PHP的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7Zv9Rp.html" rel="bookmark">中国第一代程序员列传：商业世界里水土不服</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2011年7月,仅仅47岁的&quot;中国第一程序员&quot;求伯君彻底退隐江湖.这代表着一个时代的过去,在求伯君风光的年代,程序员身上充满着个人英雄主义的浪漫情怀.而随着时间的不断推移,单个程序员的能力显得越来越渺小,程序员逐渐沦为软件生产流水线上一颗螺丝钉,这让第一代程序员的神话再难重现. &quot;中国第一程序员&quot;求伯君彻底退隐江湖过去的20年,是中国程序员快意恩仇的江湖时代,程序员通过知识实现梦想和财富.历数曾经的数字英雄,名利双收的并不多见.而程序.经营两手抓的更是凤毛麟角. 这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlLEDqM.html" rel="bookmark">程序员谈如何掌握计算机专业英语</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自:http://www.kuqin.com/english/20080512/8356.html  (准备写篇相似的东西,看到这篇比较早的文章,很有启发.)   干程序员是一项很辛苦的工作,要成为一个高水平的程序员尤为艰难.这是因为计算机软件技术更新的速度越来越快,而这些技术大多来源于英语国家,我们在引进这些技术时往往受到语言障碍的制约,严重影响到对新技术的理解和消化.首先编程本身就依赖于英语,虽然现在技术的发展,可以使得某些开发工具在变量名和字段名中支持中文,但还未发现能够完全使用中文的编			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myee2PM.html" rel="bookmark">如何成为一个通晓多种编程语言的程序员</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				学习一门新的语言是一种冒险.我总是热衷于尝试新的东西--学习新的语法,了解不同的模式,乃至彻底改变思维方式.不幸的是,许多开发人员对此不以为然,甚至可能是深恶痛绝的--学习新语言,就得走出舒适区,花时间花精力来学习新的理念和方法. 这段日子,我每天都要用大约5种不同的语言来写不同的项目! 我应该先学哪种语言? 有关这方面的讨论真可谓数不胜数.很多刚进入编程社区的初学者,都会问这个问题,简直就是前赴后继.有些人建议先学不费力的,如Python和 Ruby,也有的人认为应该先学例如C.C++和GO这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxlG7PM.html" rel="bookmark">一个三流城市小团队程序员的随笔&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				first 好久没写博客了,由于工作太忙.太忙,或许这是我的借口吧 . &quot;工作太忙&quot; 并不意味着我天天在写代码.写项目,对于我现在的工作来说可能我一天十几小时的工作时间 要花费百分之九十在一些我认为没有意义而且又不得不做的事情上,而一天下来留给我认认真真写代码的时间真的已经很少很少了. 大家肯定很好奇作为一个程序员,我所说的不得不做又必须要做的事情是什么? 首先笔者在三线城市工作,而笔者恰巧又在一个三流团队工作,而这个三流团队的技术负责人又是笔者. 也就是CTO,很多程序员可能对这个职			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP83nlp.html" rel="bookmark">阿里面试回来，想和Java程序员谈一谈</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言 其实本来真的没打算写这篇文章,主要是LZ得记忆力不是很好,不像一些记忆力强的人,面试完以后,几乎能把自己和面试官的对话都给记下来.LZ自己当初面试完以后,除了记住一些聊过的知识点以外,具体的内容基本上忘得一干二净,所以写这篇文章其实是很有难度的. 但是,最近问LZ的人实在是太多了,为了避免重复回答,给自己省点力气,干脆就在这里统一回复了. 其实之前LZ写过一篇文章,但是那篇文章更多的是在讨论&quot;面试前该不该刷题&quot;这个话题,而这篇文章将会更加聚焦在面试前如何准备,以及工作当中如何学习			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQjaBKM.html" rel="bookmark">如何跟程序员谈一场没有Bug的恋爱</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在越来越多的妹子把恋爱目标锁定在程序员上,原因无他:呆萌又多金.但如何和程序员相处一直是个问题,这篇文章就教你如何优(xin)雅(ji)的驯服程序猿男友 博主诚心推荐(单身狗慎往下滑,后果自负) 以下正文 我和男朋友在一起不到一年,他程序猿一枚,标准的加班狂.前两天和他吵架,要知道,和这样理科思维以及逻辑性这么强的人吵架,是一件很累的事情,比 如你为什么生气,他要你把原因说出来,怎么解决这个问题,他也要你说出来,特么的,说出需求,还得要给他解决方案.虽然最后还是和好了,不过,对于要怎样 和程序			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7knlqz.html" rel="bookmark">一个让98&percnt;的Java程序员犯难的偏门问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一个学员曾经问了我一个他在sun公司的论坛上看到的怪问题,因为这个问题一直没有人解答,加之这个问题所涉及的知识有点偏门,所以,我断言这个问题至少有98%的Java程序员不会! (之所以这么断言,是因为我遇到的高手和低手程序员,好像并没有精力去研究那些琐碎的细节,并且他们工作中似乎也不需要.如果你看到了这个问题,再去查书和思考,最终找出答案,在这之前也应该算不会,呵呵,另外,100个java程序员中有2个会这个,并不过分,现在已经有2000人看了这篇文章,至少应该有40个人会这个问题,大家不要看下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M941Jgb.html" rel="bookmark">程序员谈学习：我为什么要学习Linux&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天这篇博客不是写关于具体技术的,而是我对程序员怎样学习和提高自己能力的一些感悟.我是今年7月初毕业的,离开学校后就直接进入之前实习的公司上班了.现在算来工作了也将近半年了,算上实习的时间,将近一年了.在这期间,参与了几个android项目的开发,也维护过别人写的项目,虽然都不是很大的项目,但也学习了不少东西.在这其间,我亲身经历了一个设计拙劣的项目,是怎么样一步步趋于混乱而最终变的完全不可维护.从这件事情我了解到优秀的程序员是多么可贵,而&quot;不优秀&quot;的程序员是怎样把项目一步步的搞砸搞烂			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJrNWwz.html" rel="bookmark">一个三流城市小团队程序员的随笔&lpar;3&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				距离上一片文章好久没出来吐槽了,最近笔者又遇到了一次很坑爹的事情,这种事情一辈子经历一次就够了 . 作为一个程序员我认为改bug 就是我的全部, 直到我做了CTO之后我才发现, 我的工作中已经不仅仅只有代码了 .   就在前天,公司产品掩饰,一场非常重要决定生死存亡的演示!真是时运不齐, 河南机房的某一台物理服务器宕机, 该物理服务器 放了 好多台虚拟机 ,包括缓存服务器.一些业 务服务等.  因而导致整个系统业务瘫痪!我在一台服务器上搭建了一台临时的Redis 然后所有服务器全部指向该服务器,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGL1nb.html" rel="bookmark" class="title">深度探讨 PHP 之性能</a>
					<div>
						1.缘起 关于PHP,很多人的直观感觉是PHP是一种灵活的脚本语言,库类丰富,使用简单,安全,非常适合WEB开发,但性能低下.PHP的性能是否真的就 如同大家的感觉一样的差呢?本文就是围绕这么一个话题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9OWRz.html" rel="bookmark" class="title">用Fireworks绘制华丽的DNA图案</a>
					<div>
						大家如果看过winamp的AVS的弦曲线的人想必对其华丽的光影效果印象深刻. 这次我用Fireworks绘制这个炫彩光影DNA图案的桌面,主要应用到Firework的路径.元件&amp;补间的组合使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL2xKb.html" rel="bookmark" class="title">selenium-webdriver&lpar;python&rpar; &lpar;一&rpar; 环境的搭建</a>
					<div>
						为什么选python? 之前的菜鸟系列是基于java的,一年没学其实也忘的差不多了,目前所测的产品部分也是python写的,而且团队也在推广python ,其实就测试人员来说,python也相当受欢迎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBQWKb.html" rel="bookmark" class="title">iOS开发之如何截图and如何合并多张图片等&period;&period;&period;</a>
					<div>
						  1.UIView截图 -(UIImage*)captureView:(UIView *)theView{ CGRect rect = theView.frame; if ([theView isK ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M913PVM.html" rel="bookmark" class="title">阿里云如何挂载快照&lpar;Linux&rpar;</a>
					<div>
						阿里云如何挂载快照(Linux) 如果您想从快照中拷贝出之前某个时间点的数据,可以将快照挂载到实例,将数据拷贝出来,然后再卸载快照. 注意: 只能挂着同一地域内的快照.不支持跨地域. 只能从快照往外拷 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0P1N7M.html" rel="bookmark" class="title">PS合成与美女与小鸟</a>
					<div>
						效果图用到的元素不多,合成及构图部分可以很快完成.不过后期的颜色渲染比较重要,也比较费时,需要把人物,背景等各部分的颜色调统一,同时还需要渲染一些高光,把整体调柔和. 最终效果 &lt;点小图查看大图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EBkKM.html" rel="bookmark" class="title">在Photoshop里设计一个圣诞节的电子邮件通讯</a>
					<div>
						  在本教程中,我会引导你设计一个干净的节日主题的电子邮件模板过程.我们将从头开始,在Adobe Photoshop里布局.我们将使用一些基本的和中级的技术来开始此设计.让我们开始吧! 第1步 创建P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8Z5Zp.html" rel="bookmark" class="title">Win7资源管理器已停止工作怎么办？</a>
					<div>
						  1.首先分析问题所在,可能是文件交中存放的视频或者音频文件过多,打开文件夹的时候系统会预览文件,从而导致CUP利用率瞬间暴涨,使得explorer停止工作.解决方法就是关闭文件夹选项的缩略图功能. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZd3YaM.html" rel="bookmark" class="title">java sql xception-java&period;sql&period;SQLException问题</a>
					<div>
						问题描述 java.sql.SQLException问题 代码: public static void main(String[] args) { // TODO Auto-generated met ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQWYVp.html" rel="bookmark" class="title">io流-求大神帮我将代码简化（本人还处在学习阶段，都是自学的）</a>
					<div>
						问题描述 求大神帮我将代码简化(本人还处在学习阶段,都是自学的) package Test; import java.awt.BorderLayout; public class Ftest exte ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boR3Qjz.html" rel="bookmark" class="title">C语言退出多层嵌套循环技巧</a>
					<div>
						由于break语句只能影响它的最内层循环,要想立即从深层嵌套循环中退出,有哪些方法呢? 1.使用goto语句: while(condition1) { while(condition2) { whil ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwx4Qkb.html" rel="bookmark" class="title">SQL优化 &CenterDot; 经典案例 &CenterDot; 索引篇</a>
					<div>
						Introduction 在这些年的工作之中,由于SQL问题导致的数据库故障层出不穷,下面将过去六年工作中遇到的SQL问题总结归类,还原问题原貌,给出分析问题思路和解决问题的方法,帮助用户在使用数据库 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYja39p.html" rel="bookmark" class="title">SaaS与AI，云客服的天平到底应该偏向哪边？</a>
					<div>
						人工智能AI不仅带了希望,也令许多相关的人员焦虑不安.这不是有关AI对人伦理的影响,而它会颠覆一些行业,颠覆一些人的职业. 任何时候挑战和机遇都是并存的,遇到挑战,能找到解决方案,就是机遇.云客户在经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6P4Dz.html" rel="bookmark" class="title">LAMP环境搭建教程</a>
					<div>
						原文:LAMP环境搭建教程 学习PHP脚本编程语言之前,必须先搭建并熟悉开发环境,开发环境有很多种,例如LAMP.WAMP.MAMP等.这里我介绍一下LAMP环境的搭建,即Linux.Apache.M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkee61b.html" rel="bookmark" class="title">messagebo-用API编写的对话框程序的MessageBox问题</a>
					<div>
						问题描述 用API编写的对话框程序的MessageBox问题 我使用DialogBox建立了一个对话框程序,但是当用MessageBox弹出后,鼠标点击无法关闭弹出对话框,但是如果按下键盘空格键的话, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYdEAp.html" rel="bookmark" class="title">utf-8-关于PHP截取中英文字符串的几个问题</a>
					<div>
						问题描述 关于PHP截取中英文字符串的几个问题 function substr_len($str, $len, $charset='utf-8'){ $len = intval($len); if(! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL74GAM.html" rel="bookmark" class="title">QQ空间日志和说说转发到微信朋友圈教程</a>
					<div>
						1.我们在手机打开&quot;微信&quot;进入微信后找到&quot;我-设置-通用-功能-QQ离线助手&quot;细节如下图所示 2.然后我们点击&quot;启用该功能&quot;如下图所示 3. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQDoDp.html" rel="bookmark" class="title">Datapipe概述2012云计算主要趋势</a>
					<div>
						对云计算的主流应用已经使云计算成为http://www.aliyun.com/zixun/aggregation/13597.html&quot;&gt;企业IT策略计划中至关重要的一部分.据Data ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgo20M.html" rel="bookmark" class="title">使用C&num;或javascript将Table里的数据导出到Excel</a>
					<div>
						原文:使用C#或javascript将Table里的数据导出到Excel Demo效果图: 用C#将Table数据导出Excel:  本方法已经将导出excel做成分部视图,引用时只需在视图中使用如下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYkvrb.html" rel="bookmark" class="title">跟本地人玩起来 做地方论坛活跃人气的方式解密</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 现在的网站众多,并且在这个网站林立 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenox7b.html" rel="bookmark" class="title">浅谈企业站点如何进行基础的优化</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 目前企业站点普遍存在着流量少,相关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4XQrb.html" rel="bookmark" class="title">影响企业物联网安全考量的八大DDoS攻击事件</a>
					<div>
						据信息服务提供商Neustar介绍,2016年里分布式拒绝服务(Distributed Denial of Service,缩写DDoS)攻击的总体频率有增长趋势,部分原因是物联网僵尸网络.Neust ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXdmL5p.html" rel="bookmark" class="title">日本持续下修太阳能FIT价格 2017年度最低21日元</a>
					<div>
						日本经济产业省(METI)公布新一年度的各项再生能源固定价格买取(FIT)费率,太阳能的FIT价格将依计划逐年调降,降幅是所有再生能源类别当中最多的. METI公告,2017年度(2017年4月1日- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ERjAp.html" rel="bookmark" class="title">怎样避免网站过度优化</a>
					<div>
						现如今好多站长都被被SEO绕晕了,而且有部分人还抱着&quot;seo就是写写文章发发外链&quot;的态度去做优化,时间长了,每天的时间就只用来写文章发外链了,都忘记这样做的初衷了.在这种情况下就很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQaRKOb.html" rel="bookmark" class="title">Word稿纸怎么安装 Word稿纸安装使用教程</a>
					<div>
						Word稿纸安装方法: ①这个稿纸需要先安装了, 我们下载一个&quot;GenkoSetup_CHS.msi&quot;;然后双击即可进入安装程序了,如下所示 ②在安装时,我们点击界面中许可界面的& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5OKO6b.html" rel="bookmark" class="title">新企业网站的Google排名策略</a>
					<div>
						随着Google中国的流量慢慢地回升,Google排名当然也让企业网站慢慢地重视回去.新站做好后,迫不及待的事情便是做Google排名.百度排名.因为有了好的Google排名及百度排名,一个企业网站才 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOkODkz.html" rel="bookmark" class="title">瑞信2012Netflix研究报告，给予买入评级</a>
					<div>
						和讯科技消息 北京时间2月14日,瑞信今日发布研究报告,给予Netflix&quot;买入&quot;(OUTPERFORM)评级,目标股价由125美元上调至140美元. 报告称,Verizon与Co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M194ajM.html" rel="bookmark" class="title">站长网播报：网络理财骗局再起 百度收购PPS视频业务</a>
					<div>
						中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 1.网络理财骗局再起:阳光私募&quot;被黑&quot;难投诉 沉寂了一段时间的网络理财骗局近日再度出现,已有部分投资者反映被骗,而上海等地的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnO1x0z.html" rel="bookmark" class="title">&plus;&plus;菜鸟发问&comma;一个很简单的问题&plus;&plus;</a>
					<div>
						问题描述 如何做到点一个按钮,就弹出选择文件对话框,然后返回所选参数.感谢各位大大指教! 解决方案 解决方案二:google一下'模式窗口'就行,好多现成的代码解决方案三:问题不清晰解决方案四:刚刚总 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4W0KYp.html" rel="bookmark" class="title">中国电信10G PON演进研究成果卓著：为现网升级铺平道路 加速千兆时代到来</a>
					<div>
						视频.云和智慧家庭的蓬勃发展推动固网入户带宽需求急剧增长,千兆接入(Gigaband)规模部署近在眼前.然而,作为公认的技术发展方向,由PON迈向10G PON的演进道路并非一片坦途,存在业务和技术上 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
